clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
CoverageCheckerCallbacks Class Reference
Inheritance diagram for CoverageCheckerCallbacks:
[legend]
Collaboration diagram for CoverageCheckerCallbacks:
[legend]

## Public Member Functions
| CoverageCheckerCallbacks (CoverageChecker &Checker)
| ~CoverageCheckerCallbacks () override
void | InclusionDirective (SourceLocation HashLoc, const Token &IncludeTok, StringRef FileName, bool IsAngled, CharSourceRange FilenameRange, const FileEntry *File, StringRef SearchPath, StringRef RelativePath, const Module *Imported) override

## Detailed Description

Definition at line 83 of file CoverageChecker.cpp.

## Constructor & Destructor Documentation

CoverageCheckerCallbacks::CoverageCheckerCallbacks | ( | CoverageChecker & | Checker | ) |
| inline

Definition at line 85 of file CoverageChecker.cpp.

CoverageCheckerCallbacks::~CoverageCheckerCallbacks | ( |  | ) |
| inline override

Definition at line 86 of file CoverageChecker.cpp.

## Member Function Documentation

void CoverageCheckerCallbacks::InclusionDirective | ( | SourceLocation | HashLoc,
|  | const Token & | IncludeTok,
|  | StringRef | FileName,
|  | bool | IsAngled,
|  | CharSourceRange | FilenameRange,
|  | const FileEntry * | File,
|  | StringRef | SearchPath,
|  | StringRef | RelativePath,
|  | const Module * | Imported
| ) |  |
| inline override

Definition at line 89 of file CoverageChecker.cpp.

The documentation for this class was generated from the following file:

- CoverageChecker.cpp